Suspend a customer
curl --request POST \
--url https://api.kemycard.com/v1/customers/{code}/suspend \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kemycard.com/v1/customers/{code}/suspend"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kemycard.com/v1/customers/{code}/suspend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"code": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"external_reference": "user-123",
"first_name": "John",
"last_name": "Doe",
"email": "[email protected]",
"phone_country_code": "+33",
"phone": "612345678",
"date_of_birth": "1990-05-15",
"address": "123 Main Street",
"city": "Paris",
"state": "IDF",
"postal_code": "75001",
"country": "FRA",
"verification_level": "basic",
"kyc_status": "not_started",
"poa_status": "not_started",
"verified_identity": {
"first_name": "John",
"last_name": "Doe",
"date_of_birth": "1990-05-15"
},
"identity_mismatch": false,
"status": "active",
"restriction_reason": null,
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"meta": {
"request_id": "a4f8e2c1b3d97056",
"mode": "test",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found.",
"details": null
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Missing required fields.",
"details": {}
},
"meta": {
"request_id": "a4f8e2c1b3d97056",
"mode": "test",
"timestamp": "2023-11-07T05:31:56Z"
}
}Customers
Suspend a Customer
Suspends an active customer. Their cards, wallets, and other resources become unusable. Suspension is managed by you and can be reverted with the activate endpoint. Does not work on closed customers.
POST
/
customers
/
{code}
/
suspend
Suspend a customer
